Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1594964 - Lmod: unbound variable __lmod_vx
Summary: Lmod: unbound variable __lmod_vx
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Lmod
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-25 20:55 UTC by Jerry James
Modified: 2018-09-28 16:18 UTC (History)
2 users (show)

Fixed In Version: Lmod-7.8.6-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-28 16:18:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github TACC Lmod issues 384 None None None 2018-09-28 03:41:13 UTC

Description Jerry James 2018-06-25 20:55:44 UTC
Description of problem:
Building a package in mock for Rawhide today, saw this:

+ /usr/lib/rpm/redhat/brp-mangle-shebangs
/usr/share/lmod/lmod/init/bash: line 15: __lmod_vx: unbound variable

Indeed, if none of the cases in the if statement above line 15 match, or the if condition is false, then __lmod_vx is unbound.  It should be set to the empty string prior to the if statement to avoid this.

Version-Release number of selected component (if applicable):
Lmod-7.7.35-1.fc29.x86_64

How reproducible:
Have not tried.

Steps to Reproduce:
1. I was building the sympy package, but that does not matter
2.
3.

Actual results:
Unbound variable warning from bash.

Expected results:
Variables should be bound before use.

Additional info:

Comment 1 Jeff Backus 2018-06-27 16:50:27 UTC
Hi Jerry,

Thanks for the bug report. I'll take a look at it.

Regards,
Jeff

Comment 2 Jan Kurik 2018-08-14 10:59:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 3 Jerry James 2018-09-03 18:07:20 UTC
Switching version back to Rawhide, as this is still happening there.

Comment 4 Orion Poplawski 2018-09-28 16:18:18 UTC
Should be fixed in Lmod-7.8.6-1.fc30 - re-open if not.


Note You need to log in before you can comment on or make changes to this bug.